import java.awt.*;


/**
 * Till fr att hmta t.ex. frger som anvnds av/i programmet
 */

public abstract class LoggfilGrafik {
    
    /** Bestmmer den frg som ska anvndas som bakgrund fr de paket som r av typ
     * DROP.
     * @return Frgen
     */    
    public static Color getColorBakgrundDROP() {
        return new Color( 255, 210, 230 );
    }
    
    /** Bestmmer den frg som ska anvndas som bakgrund fr de paket som r av typ
     * SUCCESSFUL.
     * @return Frgen
     */    
    public static Color getColorBakgrundSUCCESSFUL() {
        return new Color( 210, 255, 210 );
    }

    /** Bestmmer den frg som ska anvndas som bakgrund fr de paket som r av typ
     * DROP och d raden paketet befinner sig p just nu sorteras.
     * @return Frgen
     */    
    public static Color getColorBakgrundDROPsorted() {
        return new Color( 255, 230, 250 );
    }
    
    /** Bestmmer den frg som ska anvndas som bakgrund fr de paket som r av typ
     * SUCCESSFUL och d raden paketet befinner sig p just nu sorteras.
     * @return Frgen
     */    
    public static Color getColorBakgrundSUCCESSFULsorted() {
        return new Color( 230, 255, 230 );
    }
    
    
}
