import java.util.*;
/**
 * Hller koll p en rad i en loggfil
 * Har inte metoder fr att stta vrden, eftersom detta inte ska behvas gra
 */
public class Loggfilsrad {
    
    // alla variabler som en loggfilsrad kan best av
    private Date   datum;
    private String action;
    private String protocol;
    private String srcip;
    private String dstip;
    private Integer srcport;
    private Integer dstport;
    private Integer size;
    private String tcpflags;
    private Integer tcpsyn;
    private Integer tcpack;
    private Integer tcpwin;
    private String icmptype;
    private String icmpcode;
    private String info;
    private String path;

    /**
     * Hmtar
     * @return ...
     */
    public String getPath() { return path; }
    
    
    /**
     * Hmtar denna rads protokoll
     * @return Protokollet
     */
    public String getProtocol() { return protocol; }
    
    /**
     * Hmtar info om raden
     * @return Info
     */
    public String getInfo() { return info; }
    
    /**
     * Hmtar
     * @return ...
     */
    public String getIcmpcode() { return icmpcode; }
    
    /**
     * Hmtar
     * @return ...
     */
    public String getIcmptype() { return icmptype; }
    
    /**
     * Hmtar
     * @return ...
     */
    public Integer  getTcpwin() { return tcpwin; }
    
    /** Hmtar
     * @return ...
     */
    public Integer  getTcpack() { return tcpack; }
    
    /**
     * Hmtar
     * @return ...
     */
    public Integer  getTcpsyn() { return tcpsyn; }
    
    /**
     * Hmtar
     * @return ...
     */
    public String getTcpflags() { return tcpflags; }
    
    /**
     * Hmtar
     * @return ...
     */
    public Integer getSize() { return size; }
    
    /**
     * Hmtar
     * @return ...
     */
    public Integer getDstport() { return dstport; }
    
    /**
     * Hmtar
     * @return ...
     */    
    public Integer getSrcport() { return srcport; }
    
    /**
     * Hmtar
     * @return ...
     */
    public String getDstip() { return dstip; }
    
    /** Hmtar
     * @return ...
     */
    public String getSrcip() { return srcip; }
    
    /** Hmtar
     * @return ...
     */
    public String geProtocol() { return protocol; }
    
    /** Hmtar
     * @return ...
     */
    public String getAction() { return action; }
    
    /** Hmtar
     * @return ...
     */
    public Date getDatum() { return datum; }
    
    /** Skriver ut all info om denna loggfilsrad
     * @return All info
     */
    public String toString() {
        return (datum + " " + action + " " + protocol + " " + srcip + " " + dstip + " " + srcport + " " + dstport + " " + size + " " + tcpflags + " " + tcpsyn + " " + tcpack + " " + tcpwin + " " + icmptype + " " + icmpcode + " " + info);
    }
    
    /**
     * Konstruktor som fixar en loggfilsrad
     *
     * @param ...grymt mycke, orkar inte skriva just nu!
     */
    Loggfilsrad(Date datum, String action, String protocol, String srcip,
    String dstip, Integer srcport, Integer dstport, Integer size,
    String tcpflags, Integer tcpsyn, Integer tcpack, Integer tcpwin,
    String icmptype, String icmpcode, String info, String path) {
        
        this.datum    = datum      ;
        this.action   = action     ;
        this.protocol = protocol   ;
        this.srcip    = srcip      ;
        this.dstip    = dstip      ;
        this.srcport  = srcport    ;
        this.dstport  = dstport    ;
        this.size     = size       ;
        this.tcpflags = tcpflags   ;
        this.tcpsyn   = tcpsyn     ;
        this.tcpack   = tcpack     ;
        this.tcpwin   = tcpwin     ;
        this.icmptype = icmptype   ;
        this.icmpcode = icmpcode   ;
        this.info     = info       ;
        this.path     = path       ;
        
    }
    
    
    /**
     * Konstruktor. Ska inte anvndas (inga vrden stts...)!
     */
    Loggfilsrad() {
    }
    
}